package com.cosmos.candelabra.data.remote.api.yahoofinance

import okhttp3.Cookie
import okhttp3.CookieJar
import okhttp3.HttpUrl
import javax.inject.Inject
import javax.inject.Singleton

@Singleton
class YahooCookieJar @Inject constructor() : CookieJar {

    private val cookies: MutableMap<String, Cookie> = mutableMapOf()

    override fun loadForRequest(url: HttpUrl): List<Cookie> {
        return cookies.values.toList()
    }

    override fun saveFromResponse(url: HttpUrl, cookies: List<Cookie>) {
        cookies.forEach { this.cookies[it.name] = it }
    }
}
