package com.cosmos.candelabra.data.remote.api.yahoofinance

import javax.inject.Inject
import javax.inject.Singleton

@Singleton
class YahooCrumb @Inject constructor(
    private val yahooFinanceCrumb: YahooFinanceCrumb
) {

    var crumb: String? = null
        private set

    suspend fun fetchCrumb(): String? {
        if (crumb != null) return crumb

        runCatching {
            yahooFinanceCrumb.getCrumb()
        }.onSuccess {
            crumb = it
        }

        return crumb
    }
}
